<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%
    String basePath = request.getContextPath();
%>
<div class="table-responsive">
    <table class="table table-striped table-bordered table-hover " >
        <thead>
        <tr>
            <th>资源类型</th>
            <th>信息资源名称</th>
            <%--<th>退款金额</th>--%>

            <%--<th>用户名</th>--%>
            <th class="hidden-print">操 作</th>
        </tr>
        </thead>
        <tbody>
        <c:choose>
            <c:when test="${list!=null}">
                <c:forEach items="${list}" var="item" >
                    <tr>
                        <td>${item.resourceType}</td>
                        <%--<td><fmt:formatDate value="${item.operationTime}" pattern="yyyy-mm-dd" ></fmt:formatDate></td>--%>
                        <%--<td>${item.refundAmount}</td>--%>
                        <td>${item.dataName}</td>
                        <td class="btn-table hidden-print">
                            <input type="hidden" name="id" value="${item.id}" />
                            <c:if test="${item.resourceType eq '数据'}">
                                <button name="btnEdit" class="btn btn-sm btn-primary m-r-sm"><i class="fa fa-edit"></i>下载</button>
                            </c:if>
                            <c:if test="${item.resourceType eq 'API'}">
                                <button name="btnDetail" class="btn btn-sm btn-primary m-r-sm" onclick="detail(this)"><i class="fa fa-check"></i>详情</button>
                            </c:if>


                            <%--<button name="btnDetail" class="btn btn-sm btn-info m-r-sm"><i class="fa fa-check"></i>详情</button>--%>
                        </td>
                    </tr>
                </c:forEach>
            </c:when>
            <c:otherwise>
                <tr>
                    <td colspan="4">无数据</td>
                </tr>
            </c:otherwise>
        </c:choose>
        </tbody>
    </table>
</div>
<jsp:include page="../../../common/admin/pager.jsp">
    <jsp:param name="pageNo" value="${pager.pageNo}"/>
    <jsp:param name="pageSize" value="${pager.pageSize}"/>
    <jsp:param name="total" value="${pager.total}"/>
</jsp:include>
<script type="text/javascript">
    $("#divGrid table tbody tr td:last-child")
        .on("click", "button[name='btnEdit']", function () {
            var id = $(this).parent().children("input[type='hidden'][name='id']").val();
            window.location.href="<%=basePath%>/admin/dataCatelogResource/download.action/"+id;
        });
    function detail(tr) {
        var id=$(tr).parent().children("input[type='hidden'][name='id']").val();
        $.popBsPartial({ url: "<%=basePath%>/admin/dataCatelogResource/toDetail.htm/" + id });
    }
</script>